Bug 481609 - rhythmbox: untrusted python modules search path
rhythmbox: untrusted python modules search path
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.nabble.com/Bug-484305%3A-b...
public=20080806,reported=20081112,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 13:06 EST by Jan Lieskovsky
Modified: 2009-02-02 09:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 09:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-01-26 13:06:52 EST
Untrusted search path vulnerability in rhythmbox Python language binding
allows local users to execute arbitrary code via a Trojan horse Python file
in the current working directory, related to an erroneous setting of sys.path
by the PySys_SetArgv function.

References (more details, test case):
http://www.nabble.com/Bug-484305%3A-bicyclerepair%3A-bike.vim-imports-untrusted-python-files-from-cwd-td18848099.html

Proposed patch:
The Debian patch for similar dia's Python related issue,
available at:

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=pythonpath.diff;att=1;bug=504251

should be sufficient to resolve this issue.
Comment 1 Jan Lieskovsky 2009-01-26 13:09:24 EST
This issue does NOT affect the version of the Rhythmbox package, as shipped
with Red Hat Enterprise Linux 4.

This issue affects the version of the Rhythmbox package, as shipped
with Red Hat Enterprise Linux 5.

Comment relevant for fix in RHEL-5:

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/

=================================================================================

This issue affects the version of the Rhythmbox package, as shipped
with Fedora releases of 9, 10 and devel.

Please fix.
Comment 3 Jan Lieskovsky 2009-01-29 06:29:54 EST
More explanation why this issue wasn't fixed in Python yet, can be
found here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c1

here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c4

and here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c5

Looks like the Python fix won't come anytime soon, so please
fix the issue in the package, till we find the proper Python solution.

Ray Strode's test case to check the work of the fix can be found here:

https://bugzilla.redhat.com/show_bug.cgi?id=481556#c8
Comment 4 Bastien Nocera 2009-02-02 09:23:21 EST
Not a Rhythmbox bug, but a Python one.

Note You need to log in before you can comment on or make changes to this bug.